Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl	(revision 30462)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl	(revision 30463)
@@ -9,9 +9,27 @@
 	exclude-result-prefixes="java util gsf">
 
-
+  
   <xsl:template name="wrappedDocument">
     <div id="gs-document">
+      
       <xsl:call-template name="documentPre"/>
       <div id="gs-document-text" class="documenttext" collection="{/page/pageResponse/collection/@name}"><!-- *** -->
+
+	<style>
+	  /* Variation on detail given in:
+	      http://stackoverflow.com/questions/2279396/how-to-remove-unwanted-space-between-rows-and-columns-in-table
+	  */
+	  
+	  fieldset, form, label, legend,
+	  table, caption, tbody, tfoot, thead, tr, th, td {
+	    margin: 0;
+	    padding: 0;
+	    border: 0;
+	    font-size: 100%;
+	    font: inherit;
+	    vertical-align: baseline;
+	  }
+      </style>
+
 	<xsl:call-template name="create-html-header"/>
 	
@@ -19,4 +37,15 @@
 	  <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
 	</xsl:variable>
+
+	<gsf:variable name="cgiParamSite">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'site']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamD">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'd']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamCL">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'cl']/@value"/>
+	</gsf:variable>
+	
 	<gsf:variable name="cgiParamPageWidth">
 	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageWidth']/@value"/>
@@ -25,16 +54,63 @@
 	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageHeight']/@value"/>
 	</gsf:variable>
-	<table align="center" width="{$cgiParamPageWidth}">
+	<gsf:variable name="cgiParamPagePrefix">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pagePrefix']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamPageSuffix">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageSuffix']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamNumPages">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'numPages']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamScaleFactor">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'scaleFactor']/@value"/>
+	</gsf:variable>
+
+	
+	<table id="gotoNavBar" align="center" width="{$cgiParamPageWidth}"> 
 	  <tr>
 	    <td align="left" width="20%">
-	      <a href="javascript:prevPageAnim(gs.cgiParams['d'],'.png')">
-		<span id="prevpagespan" style="display: inline;">_iconprev_<span id="prevpageval"><script language="javascript" type="text/javascript">musicStand.docwritePrevPageNum()</script></span></span>
+	      <a href="javascript:musicStand.prevPageAnim(gs.cgiParams['d'],'.png')">
+		<span id="prevpagespan" style="display: inline;">
+		  <img class="lessarrow" src="interfaces/{$interface_name}/images/previous-small.png"/>
+		  <span id="prevpageval">
+		    <script language="javascript" type="text/javascript">musicStand.docwritePrevPageNum()</script>
+		  </span>
+		</span>
 	      </a>
 	      <script language="javascript" type="text/javascript">musicStand.activatePrevPageNum();</script>
 	    </td>
-	    <td align="center" width="60%">_document:gotoform_</td>
+	    <td align="center" width="60%">
+	      <div>
+		<form name="GotoForm" method="get" action="{$library_name}">
+		  <input type="hidden" name="a" value="d" />
+		  <input type="hidden" name="site" value="{$cgiParamSite}" />
+		  <input type="hidden" name="c" value="{$collNameChecked}" />
+		  <input type="hidden" name="excerptid" value="gs-document-text" />
+		  <input type="hidden" name="d" value="{$cgiParamD}" />
+		  <input type="hidden" name="cl" value="{$cgiParamCL}" />
+		  <input type="hidden" name="pageWidth" value="{$cgiParamPageWidth}" />
+		  <input type="hidden" name="pageHeight" value="{$cgiParamPageHeight}" />
+		  <input type="hidden" name="numPages" value="{$cgiParamNumPages}" />
+		  <input type="hidden" name="pagePrefix" value="{$cgiParamPagePrefix}" />
+		  <input type="hidden" name="pageSuffix" value="{$cgiParamPageSuffix}" />
+		  <input type="hidden" name="scaleFactor" value="{$cgiParamScaleFactor}" />
+		  <input type="hidden" name="view" value="simple" />
+		  <input type="text" name="gp" size="3" maxlength="4" />
+		  <input type="submit" value="go to page" /> <!-- make language fragment multilingual -->
+		  <script language="javascript" type="text/javascript">
+		    musicStand.docwriteOptOfPages();
+		  </script>
+		</form>		  
+	      </div>		  
+	    </td>
 	    <td align="right" width="20%">
 	      <a href="javascript:musicStand.nextPageAnim(gs.cgiParams['d'],'.png')">
-		<span id="nextpagespan" style="display: inline"><span id="nextpageval"><script language="javascript" type="text/javascript">musicStand.docwriteNextPageNum()</script></span>_iconnext_</span>
+		<span id="nextpagespan" style="display: inline">
+		  <span id="nextpageval">
+		    <script language="javascript" type="text/javascript">musicStand.docwriteNextPageNum()</script>
+		  </span>
+		  <img class="morearrow" src="interfaces/{$interface_name}/images/next-small.png"/>
+		</span>
 	      </a>
 	    </td>
@@ -79,5 +155,5 @@
 	      
 	      <div id="coord" 
-		   style="position: absolute; left: 0px; top: 0px; z-index: 10; visibility: visible;">
+		   style="position: absolute; left: 0px; top: 0px; z-index: 10; visibility: hidden;">
 		<xsl:comment>Mouse coord debug div</xsl:comment>
 	      </div>
@@ -304,4 +380,4 @@
     <div class="clear"><xsl:text> </xsl:text></div>
   </xsl:template>
-	
+
 </xsl:stylesheet>