Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ar.properties	(revision 30469)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ar.properties	(revision 30469)
@@ -0,0 +1,171 @@
+
+TextQuery.name:ØšØ­Ø« Ø§ÙÙØµ
+TextQuery.description:Ø§ÙÙØµ Ø§ÙÙØ§Ù
+Ù Ù / Ø£Ù Ø®Ø¯Ù
+Ø© ØšØ­Ø« ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª
+TextQuery.submit:ØšØ­Ø«
+
+FieldQuery.name:Ø§Ø³ØªÙ
+Ø§Ø±Ø© ØšØ­Ø«
+FieldQuery.description:ØšØ­Ø« Ø­ÙÙÙ ØšØ³ÙØ·
+FieldQuery.submit:ØšØ­Ø«
+
+AdvancedFieldQuery.name:ØšØ­Ø« Ù
+ØªÙØ¯Ù
+
+AdvancedFieldQuery.description:ØšØ­Ø« Ø­ÙÙÙ Ù
+ØªÙØ¯Ù
+
+AdvancedFieldQuery.submit:ØšØ­Ø«
+
+RawQuery.name:ØšØ­Ø« Ø®Ø§Ù
+
+RawQuery.description:ØšØ­Ø« Ø­ÙÙÙ Ø®Ø§Ù
+
+RawQuery.submit:ØšØ­Ø« Ø®Ø§Ù
+
+
+ClassifierBrowse.name:ØªØµÙØ­
+ClassifierBrowse.description:ØªØµÙØ­ Ø§ÙØªØµØ§ÙÙÙ Ø§ÙÙØ±Ù
+ÙØ© Ø§ÙÙ
+Ø¹Ø¯Ø© Ø³ÙÙØ§
+ClassifierBrowse.classifier_help:ØªØµÙØ­ ØšÙØ§Ø³Ø·Ø© {0}
+
+PhindApplet.name:ØšØ­Ø« Ø¬Ù
+ÙØ©
+PhindApplet.description:Ø¬Ø§ÙØ§ Ø§ØšÙØª ÙØ³Ù
+Ø­ ÙÙ ØšØªØµÙØ­ Ø³ÙØ§Ø³Ù Ø§ÙØ¹ØšØ§Ø±Ø© Ø§ÙÙØ±Ù
+ÙØ© Ø§ÙÙ
+Ø³ØªØ®Ø±Ø¬Ø©
+
+## search parameters
+param.index:ÙØŽØ§Ù ÙÙØšØ­Ø«
+param.indexSubcollection:ØªÙØŽÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© ÙØ±Ø¹ÙØ©
+param.maxDocs:Ø§ÙØ­Ø¯ Ø§ÙØ£ÙØµÙ ÙÙØµÙØ§ØŠØš
+param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
+param.rawquery:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø± Ø®Ø§Ù
+
+param.hitsPerPage:Ø§ÙØµÙØ§ØŠØš ÙÙÙ ØµÙØ­Ø©
+param.startPage:Ø§ØšØ¯Ø£ Ù
+Ù Ø§ÙØµÙØ­Ø©
+
+
+
+param.stem:ØªØŽØºÙÙ Ø§ÙØšØ­Ø« ØšØ§ÙØ¬Ø°Ø±
+param.case:ØªØŽØºÙÙ Ø­Ø±Ù ØµØºÙØ±/ÙØšÙØ±
+param.accent:ØªØŽØºÙÙ ØªØŽÙÙÙ Ø§ÙØ­Ø±Ù
+param.boolean.on:on
+param.boolean.off:Ø§ÙÙØ§Ù
+param.matchMode:Ù
+Ø¶Ø§ÙØ§Ø©
+param.matchMode.all:ÙÙ
+param.matchMode.some:ØšØ¹Ø¶
+
+param.level:Granularity to search at
+param.sortBy:ØªØ±ØªÙØš ÙØªØ§ØŠØ¬ Ø§ÙØšØ­Ø« Ø¹Ù Ø·Ø±ÙÙ
+param.sortBy.1:ØªØ±ØªÙØšÙ
+param.sortBy.0:Ø·ØšÙØ¹Ù
+param.sortBy.rank:Ø±ØªØšØ©
+param.sortBy.none:ØªØ±ØªÙØš ØšÙØ§Ø¡
+param.reverseSort:ÙØ±Ø² Ø¹ÙØ³Ù
+param.reverseSort.0:Ø§ÙÙØ§Ù
+param.reverseSort.1:on
+param.fqv:ÙÙÙ
+Ø© Ø§Ù Ø¬Ù
+ÙØ©
+param.fqf:ÙÙ Ø­ÙÙ
+param.fqf.all:ÙÙ Ø§ÙØ­ÙÙÙ
+param.fqs:Ø¬Ø°Ø±
+param.fqc:Ø­Ø±Ù ÙØšÙØ±/ØµØºÙØ±
+param.fqk:
+param.fqk.0:Ù
+param.fqk.1:Ø§Ù
+param.fqk.2:ÙÙØ³
+param.fqa:ØªØŽÙÙÙ Ø§ÙØ­Ø±Ù
+param.indexLanguage:ÙØºØ© Ø§ÙÙØŽØ§Ù
+
+
+## levels
+level.document:ÙØ«ÙÙØ©
+level.Doc:ÙØ«ÙÙØ©
+level.section:ÙØ³Ù
+
+level.Sec:ÙØ³Ù
+
+level.paragraph:ÙÙØ±Ø©
+level.Para:ÙÙØ±Ø©
+
+
+## Authentication
+Authentication.description:ÙØ³Ù
+Ø­ ÙÙ ØšØ¥Ø¯Ø§Ø±Ø© Ø§ÙÙ
+Ø³ØªÙÙØ¯ÙÙ
+Authentication.name:ØµÙØ­Ø© Ø§ÙØ§Ø¯Ø§Ø±Ø©
+
+## Authentication services
+ListUsers.name:Ø§Ø³Ù
+ Ù
+Ø³ØªÙÙØ¯
+ListUsers.submit:Ø§Ø¯Ø®Ø§Ù
+ListUsers.description:ÙØ§ØŠÙ
+Ø© Ø§ÙÙ
+Ø³ØªÙÙØ¯ÙÙ
+
+AddUser.name:Ø§Ø³Ù
+ Ù
+Ø³ØªÙÙØ¯
+AddUser.submit:Ø§Ø¯Ø®Ø§Ù
+AddUser.description:Ø§Ø¶Ø§ÙØ© Ù
+Ø³ØªÙÙØ¯
+
+## Authentication params
+param.un:Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªÙÙØ¯
+param.pw:ÙÙÙ
+Ø© Ù
+Ø±ÙØ±
+param.com:ØªØ¹ÙÙÙ
+param.boolean.enabled:ØªÙ
+ÙÙÙ
+param.boolean.disabled:Ù
+Ø¹Ø·Ù
+param.as:Ø­Ø§ÙØ© Ø­Ø³Ø§Øš
+param.gp:Ù
+Ø¬Ù
+ÙØ¹Ø§Øª Ù
+Ø³ØªØ®Ø¯Ù
+ÙÙ
+param.npw:ÙÙÙ
+Ø© Ù
+Ø±ÙØ± Ø¬Ø¯ÙØ¯Ø©
+param.rnpw:Ø£Ø¹Ø¯ ÙØªØ§ØšØ© ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± Ø§ÙØ¬Ø¯ÙØ¯Ø©
+
+## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.name:ØšØ­Ø« Ø¹ØšØ± Ù
+Ø¬Ù
+ÙØ¹Ø©
+CrossCollectionSearch.TextQuery.submit:ØšØ­Ø«
+CrossCollectionSearch.TextQuery.description:ØšØ­Ø«  Ù
+Ø¬Ù
+ÙØ¹Ø§Øª Ù
+ØªØ¹Ø¯Ø¯Ø©
+CrossCollectionSearch.param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
+CrossCollectionSearch.param.collection:Ù
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙØšØ­Ø«
+CrossCollectionSearch.param.collection.all:ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª
+
+## LuceneSearch specific strings
+LuceneSearch.TextQuery.name:ØšØ­Ø«
+LuceneSearch.TextQuery.submit:ØšØ­Ø«
+LuceneSearch.TextQuery.description:Ø®Ø¯Ù
+Ø© ØšØ­Ø« XML ØšØ³ÙØ·
+LuceneSearch.param.query:Ø£Ø¯Ø®Ù Ø³ÙØ³ÙØ© Ø§ÙØ§Ø³ØªÙØ³Ø§Ø± Ø§ÙØ®Ø§Øµ ØšÙ
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties	(revision 30469)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties	(revision 30469)
@@ -0,0 +1,110 @@
+## Service Names
+TextQuery.name:BÃºsqueda por texto
+TextQuery.description:Servicio de bÃºsqueda por texto completo y/o metadatos
+TextQuery.submit:Buscar
+
+FieldQuery.name:Buscar por formulario
+FieldQuery.description:BÃºsqueda simple por campos
+FieldQuery.submit:Buscar
+
+AdvancedFieldQuery.name:BÃºsqueda Avanzada
+AdvancedFieldQuery.description:BÃºsqueda avanzada por campos
+AdvancedFieldQuery.submit:Buscar
+
+RawQuery.name:BÃºsqueda simple
+RawQuery.description:BÃºsqueda simple por campos
+RawQuery.submit:BÃºsqueda simple
+
+ClassifierBrowse.name:Navegar
+ClassifierBrowse.description:Navegar jerarquÃ­as de clasificaciÃ³n predefinidas
+ClassifierBrowse.classifier_help:Navegar por {0}
+
+PhindApplet.name:Navegar frases
+PhindApplet.description:Applet de Java que le permite ver jerarquÃ­as de frases extraidas
+
+#search parameters
+param.index:Indice en el cual buscar
+param.indexSubcollection:Indexar subcolecciÃ³n
+param.indexLanguage:Idioma del Ã­ndice
+param.maxDocs:Cantidad mÃ¡xima de hits
+param.query:Cadena de bÃºsqueda
+param.rawquery:Cadena plana de bÃºsqueda
+param.hitsPerPage:Hits por pÃ¡gina
+param.startPage:Iniciar desde la pÃ¡gina
+
+
+param.stem:Activar truncamiento
+param.case:Activar may/min
+param.accent:Activar acentos
+param.boolean.on:activado
+param.boolean.off:desactivado
+param.matchMode:Coincidir
+param.matchMode.all:todos
+param.matchMode.some:algunas
+
+param.level:Nivel de granularidad con el que buscar
+param.sortBy:Ordenar resultados de bÃºsqueda por
+param.sortBy.1:ranking
+param.sortBy.0:orden de construcciÃ³n
+param.sortBy.rank:ranking
+param.sortBy.none:orden de construcciÃ³n
+param.reverseSort:Orden inverso
+param.reverseSort.0:desactivado
+param.reverseSort.1:activadoparam.fqv:Palabra o frase
+param.fqf:en el campo
+param.fqf.all:Todos los campos
+param.fqs:truncar
+param.fqc:diferenciar mayÃºsculas
+param.fqk:
+param.fqk.0:Y
+param.fqk.1:O
+param.fqk.2:NO
+param.fqa:acentos
+
+#levels 
+level.document:Documento
+level.Doc:Documento
+level.section:SecciÃ³n
+level.Sec:SecciÃ³n
+level.paragraph:PÃ¡rrafo
+level.Para:PÃ¡rrafo
+
+
+## Authentication
+Authentication.description:Permite administrar usuarios
+Authentication.name:PÃ¡gina de administraciÃ³n
+
+## Authentication services
+ListUsers.name:Nombre de Usuario
+ListUsers.submit:enviar
+ListUsers.description:listar usuarios
+
+AddUser.name:Nombre de usuario
+AddUser.submit:enviar
+AddUser.description:agregar usuario
+
+## Authentication params
+param.un:nombre de usuario
+param.pw:clave
+param.com:comentario
+param.boolean.enabled:habilitado
+param.boolean.disabled:deshabilitado
+param.as:estado de la cuenta
+param.gp:grupos
+param.npw:nueva clave
+param.rnpw:escriba nuevamente la clave
+
+
+## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.name:BÃºsqueda cruzada en colecciones
+CrossCollectionSearch.TextQuery.description:Buscar en mÃºltiples colecciones
+CrossCollectionSearch.TextQuery.submit:Buscar
+CrossCollectionSearch.param.query:Cadena de bÃºsqueda
+CrossCollectionSearch.param.collection:Colecciones en las cuales buscar
+CrossCollectionSearch.param.collection.all:Todas las colecciones
+
+## LuceneSearch specific strings
+LuceneSearch.TextQuery.name:Buscar
+LuceneSearch.TextQuery.submit:Buscar
+LuceneSearch.TextQuery.description:Un simple servicio de bÃºsqueda XML
+LuceneSearch.param.query:Ingrese su cadena de bÃºsqueda
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fa.properties	(revision 30469)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fa.properties	(revision 30469)
@@ -0,0 +1,131 @@
+TextQuery.name=Ø¬Ø³ØªØ¬ÙÛ Ù
+ØªÙ 
+TextQuery.description=Ø³Ø±ÙÛØ³ Ø¬Ø³ÙØ¬ÙÛ Ú©Ø§Ù
+Ù Ù
+ØªÙ Ù ÛØ§ ÙØ±Ø§Ø¯Ø§Ø¯Ù 
+TextQuery.submit=Ø¬Ø³ØªØ¬Ù 
+
+FieldQuery.name=ÙØ±Ù
+ Ø¬Ø³ØªØ¬Ù 
+FieldQuery.description=Ø¬Ø³ØªØ¬Ù ØšØ§ ÙÛÙØ¯ ÙØ§Û Ø³Ø§Ø¯Ù
+FieldQuery.submit=Ø¬Ø³ØªØ¬Ù
+
+AdvancedFieldQuery.name=Ø¬Ø³ØªØ¬ÙÛ ÙŸÛØŽØ±ÙØªÙ 
+AdvancedFieldQuery.description=Ø¬Ø³ØªØ¬Ù ØšØ§ ÙÛÙØ¯ ÙØ§Û ÙŸÛØŽØ±ÙØªÙ
+AdvancedFieldQuery.submit=Ø¬Ø³ØªØ¬Ù
+
+ClassifierBrowse.name=Ù
+Ø±ÙØ± ÙÛØ³Øª 
+ClassifierBrowse.description=Ù
+Ø±ÙØ± Ø³Ø§Ø®ØªØ§Ø±Û ÙÛØ³Øª Ø·ØšÙÙ ØšÙØ¯Û ØŽØ¯Ù 
+ClassifierBrowse.classifier_help=Ù
+Ø±ÙØ± ÙÛØ³Øª Ø§Ø² Ø±ÙÛ {0}  .
+
+# search parameters
+param.index=ÙÙØ±Ø³Øª Ù
+ÙØ±Ø¯ Ø¬Ø³ØªØ¬Ù 
+param.maxDocs=ØªØ¹Ø¯Ø§Ø¯ Ú©Ù ÙØªØ§ÛØ¬ ØšØ±Ø§Û ÙÙ
+Ø§ÛØŽ 
+param.query=Ø±ØŽØªÙ Û Ø¬Ø³ØªØ¬Ù 
+param.hitsPerPage=ØªØ¹Ø¯Ø§Ø¯ ÙØªØ§ÛØ¬ Ø¯Ø± ÙØ± ØµÙØ­Ù 
+param.startPage=ØµÙØ­Ù Û ØŽØ±ÙØ¹ 
+
+param.stem=Ø­Ø³Ø§Ø³ ØšÙ Ø±ÛØŽÙ Û ÙØºØ§Øª 
+param.case=Ø­Ø³Ø§Ø³ ØšÙ Ú©ÙÚÚ© ÛØ§ ØšØ²Ø±Ú¯Û Ø­Ø±ÙÙ 
+param.accent=Ø­Ø³Ø§Ø³ ØšÙ ØªØ§Ú©ÛØ¯ ÙØºØ§Øª
+param.boolean.on=ÙØ¹Ø§Ù
+param.boolean.off=ØºÛØ± ÙØ¹Ø§Ù
+param.matchMode=Ù
+Ø·Ø§ØšÙØª
+param.matchMode.all=Ú©Ø§Ù
+Ù
+param.matchMode.some=Ø¬Ø²ØŠÛ
+
+param.level=Ù
+ÛØ²Ø§Ù Ø¯ÙØ· Ø¯Ø± Ø¬Ø³ØªØ¬Ù  
+param.sortBy=Ù
+Ø±ØªØš Ú©Ø±Ø¯Ù ÙØªØ§ÛØ¬ Ø¬Ø³ØªØ¬Ù Ø§Ø² Ø±ÙÛ
+param.sortBy.1=Ø±ØªØšÙ
+param.sortBy.0=Ø¹Ø§Ø¯Û
+param.sortBy.rank=Ø±ØªØšÙ ØšÙØ¯Û
+param.fqv=ÙØ§ÚÙ ÛØ§ Ø¹ØšØ§Ø±Øª  
+param.fqf=Ø¯Ø± Ø²Ù
+ÛÙÙ Û 
+param.fqf.all=ØªÙ
+Ø§Ù
+ Ø²Ù
+ÛÙÙ ÙØ§
+param.fqs=Ø±ÛØŽÙ
+param.fqc=ØšØ²Ø±Ú¯ ÙÛØ§ Ú©ÙÚÚ© ØšÙØ¯Ù Ø­Ø±ÙÙ ÙØ§ØªÛÙ  
+param.fqk=
+param.fqk.0=Ù
+param.fqk.1=ÛØ§
+param.fqk.2=ØšØ¯ÙÙ
+param.fqa=ØªØ§Ú©ÛØ¯
+param.indexSubcollection=Ø²ÛØ± Ù
+Ø¬Ù
+ÙØ¹Ù Û ÙÙØ±Ø³Øª  
+param.indexLanguage=Ø²ØšØ§Ù ÙÙØ±Ø³Øª
+
+#levels 
+level.document=Ø³ÙØ¯
+level.Doc=Ø³ÙØ¯
+level.section=ÙØ³Ù
+Øª
+level.Sec=ÙØ³Ù
+Øª
+level.paragraph=ÙŸØ§Ø±Ø§Ú¯Ø±Ø§Ù
+level.Para=ÙŸØ§Ø±Ø§Ú¯Ø±Ø§Ù
+
+## Authentication
+Authentication.description=ØšÙ ØŽÙ
+Ø§ Ø§Ø¬Ø§Ø²Ù Û Ù
+Ø¯ÛØ±ÛØª Ø§ÙØ±Ø§Ø¯ Ø±Ø§ Ù
+ÛØ¯ÙØ¯ 
+Authentication.name=ØµÙØ­Ù Û Ù
+Ø¯ÛØ±ÛØª 
+
+## Authentication services
+ListUsers.name=ÙØ§Ù
+ Ú©Ø§Ø±ØšØ±Û 
+ListUsers.submit=ØªØ§ÛÛØ¯ 
+ListUsers.description=ÙÛØ³Øª Ú©Ø§Ø±ØšØ±Ø§Ù 
+
+AddUser.name=ÙØ§Ù
+ Ú©Ø§Ø±ØšØ±Û 
+AddUser.submit=ØªØ§ÛÛØ¯ 
+AddUser.description=Ø§ÙØ²ÙØ¯Ù Ú©Ø§Ø±ØšØ± 
+
+## Authentication params
+param.un=ÙØ§Ù
+ Ú©Ø§Ø±ØšØ±Û 
+param.pw=Ø±Ù
+Ø² Ø¹ØšÙØ± 
+param.com=ØªÙØ¶ÛØ­Ø§Øª 
+param.boolean.enabled=ÙØ¹Ø§Ù 
+param.boolean.disabled=ØºÛØ± ÙØ¹Ø§Ù 
+param.as=ÙØ¶Ø¹ÛØª Ø­Ø³Ø§Øš Ú©Ø§Ø±ØšØ±Û 
+param.gp=Ú¯Ø±ÙÙ ÙØ§ 
+param.npw=Ø±Ù
+Ø² Ø¹ØšØ±Ù Ø¬Ø¯ÛØ¯ 
+param.rnpw=ØªØ§ÛÛØ¯ Ø±Ù
+Ø² Ø¹ØšÙØ± Ø¬Ø¯ÛØ¯ 
+
+## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.name=Ø¬Ø³ØªØ¬ÙÛ ÚÙØ¯ Ù
+Ø¬Ù
+ÙØ¹Ù 
+CrossCollectionSearch.TextQuery.description=Ø¬Ø³ØªØ¬ÙÛ ØšØ± Ø±ÙÛ ÚÙØ¯ÛÙ Ù
+Ø¬Ù
+ÙØ¹Ù 
+CrossCollectionSearch.TextQuery.submit=Ø¬Ø³ØªØ¬Ù 
+CrossCollectionSearch.param.query=Ø±ØŽØªÙ Û Ø¬Ø³ØªØ¬Ù 
+CrossCollectionSearch.param.collection=Ù
+Ø¬Ù
+ÙØ¹Ù ÙØ§Û Ù
+ÙØ±Ø¯ Ø¬Ø³ØªØ¬Ù 
+CrossCollectionSearch.param.collection.all=ØªÙ
+Ø§Ù
+ Ù
+Ø¬Ù
+ÙØ¹Ù ÙØ§ 
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties	(revision 30469)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties	(revision 30469)
@@ -0,0 +1,10 @@
+TextQuery.name=Rapu Kupu
+
+
+param.stem=Whiri kÅ«muri hÄngu
+param.case=Whiri pÅ«matua pÅ«iti
+param.accent=Tiro pÅ« tohu
+param.boolean.on=kÄ
+param.boolean.off=weto
+param.matchMode.all=te katoa
+param.matchMode.some=Ätehi
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties	(revision 30469)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties	(revision 30469)
@@ -0,0 +1,1 @@
+ClassifierBrowse.classifier_help:PrehliadaÅ¥ podÄŸa {0}