Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-ClassifierBrowse.name=Browse
-ClassifierBrowse.description=Browse pre-defined classification hierarchies
-ClassifierBrowse.classifier_help:Browse by {0}
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,5 +1,0 @@
-ClassifierBrowse.name:ØªØµÙØ­
-ClassifierBrowse.description:ØªØµÙØ­ Ø§ÙØªØµØ§ÙÙÙ Ø§ÙÙØ±Ù
-ÙØ© Ø§ÙÙ
-Ø¹Ø¯Ø© Ø³ÙÙØ§
-ClassifierBrowse.classifier_help:ØªØµÙØ­ ØšÙØ§Ø³Ø·Ø© {0}
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-ClassifierBrowse.name:Navegar
-ClassifierBrowse.description:Navegar jerarquÃ­as de clasificaciÃ³n predefinidas
-ClassifierBrowse.classifier_help:Navegar por {0}
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,9 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi 
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15***
-ClassifierBrowse.name=مرور لیست 
-ClassifierBrowse.description=مرور ساختاری لیست طبقه بندی شده 
-ClassifierBrowse.classifier_help=مرور لیست از روی {0}  .
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_sk.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractBrowse_sk.properties	(revision 30472)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ClassifierBrowse.classifier_help:PrehliadaÅ¥ podÄŸa {0}
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#query params
-param.level=Granularity to search at
-param.sortBy=Document display order
-param.sortBy.1=ranked
-param.sortBy.0=natural
-param.fqv=Word or phrase 
-param.fqf=in field
-param.fqf.all=All fields
-param.fqs=stem
-param.fqc=casefold
-param.fqk=
-param.fqk.0=AND
-param.fqk.1=OR
-param.fqk.2=NOT
-param.fqa=accentfold
-param.indexLanguage=Index language
-
-#levels - this should go somewhere more central perhaps?
-level.document=Document
-level.Doc=Document
-level.section=Section
-level.Sec=Section
-level.paragraph=Paragraph
-level.Para=Paragraph
-
-#service stuff
-FieldQuery.name=Form Search
-FieldQuery.description=Simple fielded search
-FieldQuery.submit=Search
-AdvancedFieldQuery.name=Advanced Search
-AdvancedFieldQuery.description=Advanced fielded searching
-AdvancedFieldQuery.submit=Search
-
-RawQuery.name=Raw Search
-RawQuery.description=Raw fielded searching
-RawQuery.submit=Raw Search
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#query params
-param.level:Granularity to search at
-param.sortBy:ØªØ±ØªÙØš Ø¹Ø±Ø¶ Ø§ÙÙØ«ÙÙØ©
-param.sortBy.1:ØªØ±ØªÙØšÙ
-param.sortBy.0:Ø·ØšÙØ¹Ù
-param.fqv:ÙÙÙ
-Ø© Ø§Ù Ø¬Ù
-ÙØ©
-param.fqf:ÙÙ Ø­ÙÙ
-param.fqf.all:ÙÙ Ø§ÙØ­ÙÙÙ
-param.fqs:Ø¬Ø°Ø±
-param.fqc:Ø­Ø±Ù ÙØšÙØ±/ØµØºÙØ±
-param.fqk:
-param.fqk.0:Ù
-param.fqk.1:Ø§Ù
-param.fqk.2:ÙÙØ³
-param.fqa:ØªØŽÙÙÙ Ø§ÙØ­Ø±Ù
-param.indexLanguage:ÙØºØ© Ø§ÙÙØŽØ§Ù
-
-#levels - this should go somewhere more central perhaps?
-level.document:ÙØ«ÙÙØ©
-level.Doc:ÙØ«ÙÙØ©
-level.section:ÙØ³Ù
-
-level.Sec:ÙØ³Ù
-
-level.paragraph:ÙÙØ±Ø©
-level.Para:ÙÙØ±Ø©
-
-#service stuff
-FieldQuery.name:Ø§Ø³ØªÙ
-Ø§Ø±Ø© ØšØ­Ø«
-FieldQuery.description:ØšØ­Ø« Ø­ÙÙÙ ØšØ³ÙØ·
-FieldQuery.submit:ØšØ­Ø«
-AdvancedFieldQuery.name:ØšØ­Ø« Ù
-ØªÙØ¯Ù
-
-AdvancedFieldQuery.description:ØšØ­Ø« Ø­ÙÙÙ Ù
-ØªÙØ¯Ù
-
-AdvancedFieldQuery.submit:ØšØ­Ø«
-
-RawQuery.name:ØšØ­Ø« Ø®Ø§Ù
-
-RawQuery.description:ØšØ­Ø« Ø­ÙÙÙ Ø®Ø§Ù
-
-RawQuery.submit:ØšØ­Ø« Ø®Ø§Ù
-
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#query params
-param.level:Nivel de granularidad con el que buscar
-param.sortBy:Orden de visualizaciÃ³n de docuimentos
-param.sortBy.1:ranking
-param.sortBy.0:natural
-param.fqv:Palabra o frase
-param.fqf:en el campo
-param.fqf.all:Todos los campos
-param.fqs:truncar
-param.fqc:diferenciar mayÃºsculas
-param.fqk:
-param.fqk.0:Y
-param.fqk.1:O
-param.fqk.2:NO
-param.fqa:acentos
-param.indexLanguage:Idioma del Ã­ndice
-
-#levels - this should go somewhere more central perhaps?
-level.document:Documento
-level.Doc:Documento
-level.section:SecciÃ³n
-level.Sec:SecciÃ³n
-level.paragraph:PÃ¡rrafo
-level.Para:PÃ¡rrafo
-
-#service stuff
-FieldQuery.name:Buscar por formulario
-FieldQuery.description:BÃºsqueda simple por campos
-FieldQuery.submit:Buscar
-AdvancedFieldQuery.name:BÃºsqueda Avanzada
-AdvancedFieldQuery.description:BÃºsqueda avanzada por campos
-AdvancedFieldQuery.submit:Buscar
-
-RawQuery.name:BÃºsqueda simple
-RawQuery.description:BÃºsqueda simple por campos
-RawQuery.submit:BÃºsqueda simple
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,39 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15
-#query params
-param.level=میزان دقط در جستجو  
-param.sortBy=ترتیب نمایش اسناد  
-param.sortBy.1=رتبه
-param.sortBy.0=عادی
-param.fqv=واژه یا عبارت  
-param.fqf=در زمینه ی 
-param.fqf.all=تمام زمینه ها
-param.fqs=ریشه
-param.fqc=بزرگ ویا کوچک بودن حروف لاتین  
-param.fqk=
-param.fqk.0=و
-param.fqk.1=یا
-param.fqk.2=بدون
-param.fqa=تاکید
-param.indexSubcollection=زیر مجموعه ی فهرست  
-param.indexLanguage=زبان فهرست
-
-#levels - this should go somewhere more central perhaps?
-level.document=سند
-level.Doc=سند
-level.section=قسمت
-level.Sec=قسمت
-level.paragraph=پاراگراف
-level.Para=پاراگراف
-
-#service stuff
-FieldQuery.name=فرم جستجو 
-FieldQuery.description=جستجو با فیلد های ساده
-FieldQuery.submit=جستجو
-AdvancedFieldQuery.name=جستجوی پیشرفته 
-AdvancedFieldQuery.description=جستجو با فیلد های پیشرفته
-AdvancedFieldQuery.submit=جستجو
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#service stuff
-TextQuery.name=Text Search
-TextQuery.description=Full text and/or metadata search service
-TextQuery.submit=Search
-
-#compulsory query params
-param.index=Index to search in
-param.maxDocs=Maximum hits to return
-param.query=Query string
-param.rawquery=Raw query string
-param.hitsPerPage=Hits per page
-param.startPage=Start from page
-
-
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#service stuff
-TextQuery.name:ØšØ­Ø« Ø§ÙÙØµ
-TextQuery.description:Ø§ÙÙØµ Ø§ÙÙØ§Ù
-Ù Ù / Ø£Ù Ø®Ø¯Ù
-Ø© ØšØ­Ø« ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª
-TextQuery.submit:ØšØ­Ø«
-
-#compulsory query params
-param.index:ÙØŽØ§Ù ÙÙØšØ­Ø«
-param.maxDocs:Ø§ÙØ­Ø¯ Ø§ÙØ£ÙØµÙ ÙÙØµÙØ§ØŠØš
-param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
-param.rawquery:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø± Ø®Ø§Ù
-
-param.hitsPerPage:Ø§ÙØµÙØ§ØŠØš ÙÙÙ ØµÙØ­Ø©
-param.startPage:Ø§ØšØ¯Ø£ Ù
-Ù Ø§ÙØµÙØ­Ø©
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#service stuff
-TextQuery.name:BÃºsqueda por texto
-TextQuery.description:Servicio de bÃºsqueda por Texto completo y/o metadatos
-TextQuery.submit:Buscar
-
-#compulsory query params
-param.index:Indice en el cual buscar
-param.maxDocs:Cantidad mÃ¡xima de hits
-param.query:Cadena de bÃºsqueda
-param.rawquery:Cadena plana de bÃºsqueda
-param.hitsPerPage:Hits por pÃ¡gina
-param.startPage:Iniciar desde la pÃ¡gina
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,27 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15
-#service stuff
-TextQuery.name=جستجوی متن 
-TextQuery.description=سرویس جسنجوی کامل متن و یا فراداده 
-TextQuery.submit=جستجو 
-
-#compulsory query params
-param.index=فهرست مورد جستجو 
-param.maxDocs=تعداد کل نتایج برای نمایش 
-param.query=رشته ی جستجو 
-param.hitsPerPage=تعداد نتایج در هر صفحه 
-param.startPage=صفحه ی شروع 
-
-#optional params
-param.stem=حساس به ریشه ی لغات 
-param.case=حساس به کوچک یا بزرگی حروف 
-param.accent=حساس به تاکید لغات
-param.matchMode=مطابقت
-param.matchMode.all=کامل
-param.matchMode.some=جزئی
-param.boolean.on=فعال
-param.boolean.off=غیر فعال
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#service stuff
-TextQuery.name=Text Search
-TextQuery.description=Full text and/or metadata search service
-TextQuery.submit=Search
-
-#compulsory query params
-param.indexSubcollection=Index sub collection
-
-#optional params
-param.stem=Turn stemming 
-param.case=Turn casefolding 
-param.accent=Turn accentfolding 
-param.matchMode=Match
-param.matchMode.all=all
-param.matchMode.some=some
-param.boolean.on=on
-param.boolean.off=off
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#service stuff
-TextQuery.name:ØšØ­Ø« Ø§ÙÙØµ
-TextQuery.description:Ø§ÙÙØµ Ø§ÙÙØ§Ù
-Ù Ù / Ø£Ù Ø®Ø¯Ù
-Ø© ØšØ­Ø« ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª
-TextQuery.submit:ØšØ­Ø«
-
-#compulsory query params
-param.indexSubcollection:ØªÙØŽÙÙ Ù
-Ø¬Ù
-ÙØ¹Ø© ÙØ±Ø¹ÙØ©
-
-#optional params
-param.stem:ØªØŽØºÙÙ Ø§ÙØšØ­Ø« ØšØ§ÙØ¬Ø°Ø±
-param.case:ØªØŽØºÙÙ Ø­Ø±Ù ØµØºÙØ±/ÙØšÙØ±
-param.accent:ØªØŽØºÙÙ ØªØŽÙÙÙ Ø§ÙØ­Ø±Ù
-param.matchMode:Ù
-Ø¶Ø§ÙØ§Ø©
-param.matchMode.all:ÙÙ
-param.matchMode.some:ØšØ¹Ø¶
-param.boolean.on:on
-param.boolean.off:Ø§ÙÙØ§Ù
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#service stuff
-TextQuery.name:BÃºsqueda por texto
-TextQuery.description:Servicio de bÃºsqueda por texto completo y/o metadatos
-TextQuery.submit:Buscar
-
-#compulsory query params
-param.indexSubcollection:Indexar subcolecciÃ³n
-
-#optional params
-param.stem:Activar truncamiento
-param.case:Activar may/min
-param.accent:Activar acentos
-param.matchMode:Coincidir
-param.matchMode.all:todos
-param.matchMode.some:algunas
-param.boolean.on:activado
-param.boolean.off:desactivado
Index: main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_mi.properties	(revision 30472)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#service stuff
-TextQuery.name=Rapu Kupu
-
-#optional params
-param.stem=Whiri kÅ«muri hÄngu
-param.case=Whiri pÅ«matua pÅ«iti
-param.accent=Tiro pÅ« tohu
-param.matchMode.all=te katoa
-param.matchMode.some=Ätehi
-param.boolean.on=kÄ
-param.boolean.off=weto
-
Index: main/trunk/greenstone3/web/WEB-INF/classes/Authentication.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/Authentication.properties	(revision 30472)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#service stuff
-ListUsers.name=userName
-ListUsers.submit=submit
-ListUsers.description=list users
-
-AddUser.name=userName
-AddUser.submit=submit
-AddUser.description=add user
-
-#params
-param.un=username
-param.pw=password
-param.com=comment
-param.boolean.enabled=enabled
-param.boolean.disabled=disabled
-param.as=account status
-param.gp=groups
-param.npw=new password
-param.rnpw=retype new password
-
-Authentication.description=Allows you to manage users
-Authentication.name=Administration Page
Index: main/trunk/greenstone3/web/WEB-INF/classes/Authentication_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/Authentication_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,45 +1,0 @@
-#service stuff
-ListUsers.name:Ø§Ø³Ù
- Ù
-Ø³ØªÙÙØ¯
-ListUsers.submit:Ø§Ø¯Ø®Ø§Ù
-ListUsers.description:ÙØ§ØŠÙ
-Ø© Ø§ÙÙ
-Ø³ØªÙÙØ¯ÙÙ
-
-AddUser.name:Ø§Ø³Ù
- Ù
-Ø³ØªÙÙØ¯
-AddUser.submit:Ø§Ø¯Ø®Ø§Ù
-AddUser.description:Ø§Ø¶Ø§ÙØ© Ù
-Ø³ØªÙÙØ¯
-
-#params
-param.un:Ø§Ø³Ù
- Ø§ÙÙ
-Ø³ØªÙÙØ¯
-param.pw:ÙÙÙ
-Ø© Ù
-Ø±ÙØ±
-param.com:ØªØ¹ÙÙÙ
-param.boolean.enabled:ØªÙ
-ÙÙÙ
-param.boolean.disabled:Ù
-Ø¹Ø·Ù
-param.as:Ø­Ø§ÙØ© Ø­Ø³Ø§Øš
-param.gp:Ù
-Ø¬Ù
-ÙØ¹Ø§Øª Ù
-Ø³ØªØ®Ø¯Ù
-ÙÙ
-param.npw:ÙÙÙ
-Ø© Ù
-Ø±ÙØ± Ø¬Ø¯ÙØ¯Ø©
-param.rnpw:Ø£Ø¹Ø¯ ÙØªØ§ØšØ© ÙÙÙ
-Ø© Ø§ÙÙ
-Ø±ÙØ± Ø§ÙØ¬Ø¯ÙØ¯Ø©
-
-Authentication.description:ÙØ³Ù
-Ø­ ÙÙ ØšØ¥Ø¯Ø§Ø±Ø© Ø§ÙÙ
-Ø³ØªÙÙØ¯ÙÙ
-Authentication.name:ØµÙØ­Ø© Ø§ÙØ§Ø¯Ø§Ø±Ø©
Index: main/trunk/greenstone3/web/WEB-INF/classes/Authentication_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/Authentication_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#service stuff
-ListUsers.name:Nombre de Usuario
-ListUsers.submit:enviar
-ListUsers.description:listar usuarios
-
-AddUser.name:Nombre de usuario
-AddUser.submit:enviar
-AddUser.description:agregar usuario
-
-#params
-param.un:nombre de usuario
-param.pw:clave
-param.com:comentario
-param.boolean.enabled:habilitado
-param.boolean.disabled:deshabilitado
-param.as:estado de la cuenta
-param.gp:grupos
-param.npw:nueva clave
-param.rnpw:escriba nuevamente la clave
-
-Authentication.description:Permite administrar usuarios
-Authentication.name:PÃ¡gina de administraciÃ³n
Index: main/trunk/greenstone3/web/WEB-INF/classes/Authentication_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/Authentication_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,28 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15
-#service stuff
-ListUsers.name=نام کاربری 
-ListUsers.submit=تایید 
-ListUsers.description=لیست کاربران 
-
-AddUser.name=نام کاربری 
-AddUser.submit=تایید 
-AddUser.description=افزودن کاربر 
-
-#params
-param.un=نام کاربری 
-param.pw=رمز عبور 
-param.com=توضیحات 
-param.boolean.enabled=فعال 
-param.boolean.disabled=غیر فعال 
-param.as=وضعیت حساب کاربری 
-param.gp=گروه ها 
-param.npw=رمز عبرو جدید 
-param.rnpw=تایید رمز عبور جدید 
-
-Authentication.description=به شما اجازه ی مدیریت افراد را میدهد 
-Authentication.name=صفحه ی مدیریت 
Index: main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,7 +1,0 @@
-TextQuery.name=Cross collection search
-TextQuery.submit=Search
-TextQuery.description=Search over multiple collections
-param.query=Query string
-param.collection=Collections to search in
-param.collection.all=All collections
-param.maxDocs=Maximum number of documents per collection
Index: main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,15 +1,0 @@
-TextQuery.name:ØšØ­Ø« Ø¹ØšØ± Ù
-Ø¬Ù
-ÙØ¹Ø©
-TextQuery.submit:ØšØ­Ø«
-TextQuery.description:ØšØ­Ø«  Ù
-Ø¬Ù
-ÙØ¹Ø§Øª Ù
-ØªØ¹Ø¯Ø¯Ø©
-param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
-param.collection:Ù
-Ø¬Ù
-ÙØ¹Ø§Øª ÙÙØšØ­Ø«
-param.collection.all:ÙÙ Ø§ÙÙ
-Ø¬Ù
-ÙØ¹Ø§Øª
Index: main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,6 +1,0 @@
-TextQuery.name:BÃºsqueda cruzada en colecciones
-TextQuery.submit:Buscar
-TextQuery.description:Buscar en mÃºltiples colecciones
-param.query:Cadena de bÃºsqueda
-param.collection:Colecciones en las cuales buscar
-param.collection.all:Todas las colecciones
Index: main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,12 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15
-TextQuery.name=جستجوی چند مجموعه 
-TextQuery.submit=جستجو 
-TextQuery.description=جستجوی بر روی چندین مجموعه 
-param.query=رشته ی جستجو 
-param.collection=مجموعه های مورد جستجو 
-param.collection.all=تمام مجموعه ها 
Index: main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,5 +1,0 @@
-param.reverseSort=Reverse sort
-param.reverseSort.0=off
-param.reverseSort.1=on
-
-
Index: main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-param.reverseSort:ÙØ±Ø² Ø¹ÙØ³Ù
-param.reverseSort.0:Ø§ÙÙØ§Ù
-param.reverseSort.1:on
Index: main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-param.reverseSort:Orden inverso
-param.reverseSort.0:desactivado
-param.reverseSort.1:activado
Index: main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,5 +1,0 @@
-TextQuery.name=Search
-TextQuery.submit=Search
-TextQuery.description=A simple XML search service
-
-param.query=Enter your query string
Index: main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,6 +1,0 @@
-TextQuery.name:ØšØ­Ø«
-TextQuery.submit:ØšØ­Ø«
-TextQuery.description:Ø®Ø¯Ù
-Ø© ØšØ­Ø« XML ØšØ³ÙØ·
-
-param.query:Ø£Ø¯Ø®Ù Ø³ÙØ³ÙØ© Ø§ÙØ§Ø³ØªÙØ³Ø§Ø± Ø§ÙØ®Ø§Øµ ØšÙ
Index: main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,5 +1,0 @@
-TextQuery.name:Buscar
-TextQuery.submit:Buscar
-TextQuery.description:Un simple servicio de bÃºsqueda XML
-
-param.query:Ingrese su cadena de bÃºsqueda
Index: main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse.properties	(revision 30472)
+++ 	(revision )
@@ -1,2 +1,0 @@
-PhindApplet.name=Phrase browse
-PhindApplet.description=Java applet that allows you to browse extracted phrase hierarchies
Index: main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,6 +1,0 @@
-PhindApplet.name:ØšØ­Ø« Ø¬Ù
-ÙØ©
-PhindApplet.description:Ø¬Ø§ÙØ§ Ø§ØšÙØª ÙØ³Ù
-Ø­ ÙÙ ØšØªØµÙØ­ Ø³ÙØ§Ø³Ù Ø§ÙØ¹ØšØ§Ø±Ø© Ø§ÙÙØ±Ù
-ÙØ© Ø§ÙÙ
-Ø³ØªØ®Ø±Ø¬Ø©
Index: main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,2 +1,0 @@
-PhindApplet.name:Navegar frases
-PhindApplet.description:Applet de Java que le permite ver jerarquÃ­as de frases extraidas
Index: main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch.properties	(revision 30472)
+++ 	(revision )
@@ -1,5 +1,0 @@
-param.sortBy=Sort search results by
-param.sortBy.rank=rank
-param.sortBy.none=build order
-
-
Index: main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_ar.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-param.sortBy:ØªØ±ØªÙØš ÙØªØ§ØŠØ¬ Ø§ÙØšØ­Ø« Ø¹Ù Ø·Ø±ÙÙ
-param.sortBy.rank:Ø±ØªØšØ©
-param.sortBy.none:ØªØ±ØªÙØš ØšÙØ§Ø¡
Index: main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_es.properties	(revision 30472)
+++ 	(revision )
@@ -1,3 +1,0 @@
-param.sortBy:Ordenar resultados de bÃºsqueda por
-param.sortBy.rank:ranking
-param.sortBy.none:orden de construcciÃ³n
Index: main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_fa.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_fa.properties	(revision 30472)
+++ 	(revision )
@@ -1,8 +1,0 @@
-﻿#*************************************
-#
-#by Amin Hedjazi
-#on the contract by
-#***Advanced Information & Communication Technology Research Center of Sharif University ***
-#***last update 2008/12/15
-param.sortBy=مرتب کردن نتایج جستجو از روی  
-param.sortBy.rank=رتبه بندی